Subject: Re: bug#26215: gschemas.compiled should not be added to the profile by multiple packages

From: Federico Beffa <[email-masked]>
Date: Thu, 23 Mar 2017 17:20:57 +0100

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Currently multiple packages contain the file
> share/glib-2.0/schemas/gschemas.compiled (which is built by
> glib-or-gtk-build-system). Doing so *works* (because each package’s
> share directory in the Store is part of the XDG_DATA_DIRS environment
> variable, GSettings looks for settings in each of the gschemas.compiled
> files in the Store) but leads to *warnings* because only one package’s
> gschemas.compiled can be added to the profile at the same time.
>
> To avoid these misleading warnings, either
> · no package’s gschemas.compiled should go to the profile on
>   install *or*
> · gschemas.compiled should not be created for each package by
>   glib-or-gtk-build-system, instead it should be created only once
>   in each profile by a profile hook from the GSettings data of all
>   packages in the manifest,
> · or something else?

Note that if you mix GTK-2 and GTK-3 schemas many applications will
crash.  The glib-or-gtk-build-system tries to avoid mixing the two.

Fede